Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.engine.support
Class ActionTransitionCriteria

    java.lang.Object
      org.springframework.webflow.engine.support.ActionTransitionCriteria

All Implemented Interfaces:
  TransitionCriteria

    public class ActionTransitionCriteria

extends java.lang.Object
implements TransitionCriteria

A transition criteria that will execute an action when tested and return `true` if the action's result is equal to the 'trueEventId', `false` otherwise.

This effectively adapts an `Action` to a `TransitionCriteria`.

Author:
  Keith Donald, Erwin Vervaet
See Also:
  `Action`, `TransitionCriteria`

Constructor Summary
`ActionTransitionCriteria(Action action)` Create action transition criteria delegating to the specified action.

Method Summary
`protected Action` | `getAction()` Returns the action wrapped by this object.
`java.lang.String[]` | `getTrueEventIds()` Returns the action result `eventIds` that should cause this criteria to return true (it will return false otherwise).
`void` | `setTrueEventIds(java.lang.String[] trueEventIds)` Sets the action result `eventIds` that should cause this precondition to return true (it will return false otherwise).
`boolean` | `test(RequestContext context)` Check if the transition should fire based on the given flow execution request context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionTransitionCriteria

    public ActionTransitionCriteria(Action action)

  Create action transition criteria delegating to the specified action.

  Parameters:
    `action` - the action

Method Detail

### getTrueEventIds

    public java.lang.String[] getTrueEventIds()

  Returns the action result `eventIds` that should cause this criteria to return true (it will return false otherwise). Defaults to "success".

### setTrueEventIds

    public void setTrueEventIds(java.lang.String[] trueEventIds)

  Sets the action result `eventIds` that should cause this precondition to return true (it will return false otherwise).

  Parameters:
    `trueEventIds` - the true result event IDs

### getAction

    protected Action getAction()

  Returns the action wrapped by this object.

  Returns:
    the action

### test

    public boolean test(RequestContext context)

  Description copied from interface: `TransitionCriteria`
  Check if the transition should fire based on the given flow execution request context.

  Specified by:
    `test` in interface `TransitionCriteria`
  Parameters:
    `context` - the flow execution request context
  Returns:
    true if the transition should fire, false otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD